Bug 65618 - [GTK] fullscreen/video-controls-override.html fails
Summary: [GTK] fullscreen/video-controls-override.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-03 06:57 PDT by Philippe Normand
Modified: 2011-08-05 02:23 PDT (History)
4 users (show)

See Also:


Attachments
proposed patch (3.14 KB, patch)
2011-08-03 07:17 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
proposed patch (3.15 KB, patch)
2011-08-03 07:23 PDT, Philippe Normand
mrobinson: review+
gns: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-08-03 06:57:51 PDT
Because the test implicitely depends on the fullscreenQuickTime.css file which GTK doesn't use.


EVENT(webkitfullscreenchange)
EXPECTED (shadowRoot = internals.shadowRoot(video) != 'null') OK
EXPECTED (panel = shadowRoot.firstChild.firstChild != 'null') OK
EXPECTED (internals.shadowPseudoId(panel) == '-webkit-media-controls-panel') OK
EXPECTED (document.defaultView.getComputedStyle(panel)['display'] != 'none') OK
EXPECTED (document.defaultView.getComputedStyle(panel)['height'] == '48px'), OBSERVED '600px' FAIL
EVENT(webkitfullscreenchange)
EXPECTED (document.defaultView.getComputedStyle(panel)['display'] == 'none') OK
END OF TEST
Comment 1 Philippe Normand 2011-08-03 07:17:00 PDT
Created attachment 102782 [details]
proposed patch
Comment 2 Philippe Normand 2011-08-03 07:17:56 PDT
Before landing this we should remove:

DerivedSources/WebCore/UserAgentStyleSheetsData.cpp
DerivedSources/WebCore/UserAgentStyleSheets.h

on the bots. Or trigger a full-rebuild.
Comment 3 WebKit Review Bot 2011-08-03 07:20:04 PDT
Attachment 102782 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/platform/gtk/RenderThemeGtk.cpp:482:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Philippe Normand 2011-08-03 07:23:39 PDT
Created attachment 102784 [details]
proposed patch
Comment 5 Martin Robinson 2011-08-03 07:36:59 PDT
Comment on attachment 102784 [details]
proposed patch

Okay.
Comment 6 Gustavo Noronha (kov) 2011-08-03 14:37:26 PDT
Comment on attachment 102784 [details]
proposed patch

Attachment 102784 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9306088
Comment 7 Philippe Normand 2011-08-04 05:16:22 PDT
(In reply to comment #6)
> (From update of attachment 102784 [details])
> Attachment 102784 [details] did not pass gtk-ews (gtk):
> Output: http://queues.webkit.org/results/9306088

This was expected. :)
Gustavo, I'm ready to land this, but it requires to remove 2 files in the build directory, as mentioned in comment 2. It'd be nice to synchronize ourselves on this patch-landing!
Comment 8 Philippe Normand 2011-08-04 06:45:07 PDT
Committed r92370: <http://trac.webkit.org/changeset/92370>
Comment 9 Zoltan Horvath 2011-08-05 02:23:52 PDT
I triggered
http://build.webkit.sed.hu/builders/ARMv5%20Linux%20Gtk%20Release to make clean build after r92469.